using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class ClientSideFilter : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        List<Customer> dataSource = new List<Customer>()
        {
            new Customer() { Name = "AExample", Age = 32 },
            new Customer() { Name = "BExample", Age = 25 }
        };
        this.RadGrid1.DataSource = dataSource;
    }
}

public class Customer
{
    public string Name { get; set; }
    public int Age { get; set; }
}